Announcement

Collapse
No announcement yet.

PI24: Replace dump1090 v1.14 -> pre-build package of dump1090 v1.15

Collapse
This is a sticky topic.
X
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • #16
    Hi Guys!
    I'm still using the 1.14 version of dump1090 installed automatically by the FR24 script.
    I used an API code from my google page to have full map features...
    Can i use the script:

    sudo bash -c "$(wget -O - https://raw.githubusercontent.com/abcd567a/dump1090/master/PI24_replace_dump1090_v1.14_by_v1.15.sh)"
    Even if i don't have the Pi24 OS version?
    I use http://raspberrypi.local/dump1090/gmap.html to show the map in my browser.
    Cheers!
    Last edited by IZ8292SWL; 2019-08-17, 20:58.

    Comment


    • #17
      Originally posted by IZ8292SWL View Post
      Hi Guys!
      I'm still using the 1.14 version of dump1090 installed automatically by the FR24 script.

      Can i use the script:
      sudo bash -c "$(wget -O - https://raw.githubusercontent.com/abcd567a/dump1090/master/PI24_replace_dump1090_v1.14_by_v1.15.sh)"

      Even if i don't have the Pi24 OS version?
      YES, you can, even if you dont have Pi24 OS, and have installed (fr24 feeder+dump1090 ver 1.14) by FR24 script.

      Comment


      • #18
        @abcd567 Thank you!
        I'll give it a try!

        Comment


        • #19
          Uhm.
          I tried the procedure but my raspberry pi, after the reboot, had an issue with the wifi connection!
          No wireless interface available!
          I guess i have to reinstall the entire system now...

          Comment


          • #20
            Strange! That script does NOT do anything other than replacing old version of dump1090 by new version. It does not touch WiFi.

            Comment


            • #21
              In this case i'm planning to do a fresh install.
              So this is the procedure:

              sudo bash -c "$(wget -O - https://raw.githubusercontent.com/abcd567a/dump1090/master/install_dump1090_mut_1.15.sh)"
              and then

              sudo bash -c "$(wget -O - http://repo.feed.flightradar24.com/install_fr24_rpi.sh)"
              After this, it all should start automatically every time there is a reboot, right?

              Comment


              • #22
                This script requires fr24feed to be installed before being used.

                It will error out if fr24feed isn't already installed.

                Comment


                • #23
                  Originally posted by wiedehopf View Post
                  This script requires fr24feed to be installed before being used.

                  It will error out if fr24feed isn't already installed.
                  Yes, i was talking now about a fresh install with new procedure.

                  Comment


                  • #24
                    And i told you that fr24feed needs to be installed before running the script.

                    In your scenario it isn't yet installed when you run the script.

                    So i'm telling you to reverse the order. (at least that's the logical conclusion)

                    Comment


                    • #25
                      Originally posted by wiedehopf View Post
                      And i told you that fr24feed needs to be installed before running the script.

                      In your scenario it isn't yet installed when you run the script.

                      So i'm telling you to reverse the order. (at least that's the logical conclusion)
                      115.jpg

                      Well...i followed the procedure. It works!
                      I firstly installed the 1.15dev and then i used the fr24 script.

                      Comment


                      • #26
                        There are two scripts for installing ver 1.15.

                        Script (1) - Replacement of ver 1.14 by ver 1.15:
                        This works only after fr24 script has been run and ver 1.14 installed (Continue using fr24 setting Reciever = dvbt)
                        sudo bash -c "$(wget -O - https://raw.githubusercontent.com/abcd567a/dump1090/master/PI24_replace_dump1090_v1.14_by_v1.15.sh)"

                        Script (2) - Fresh install of ver 1.15:
                        This is for a freshly written Raspbian image, and works properly only if it is run before the fr24 script is run (Do NOT use fr24 setting Receiver = dvbt. Use Receiver = Beast TCP, Host/port = 127.0.0.1:30005).
                        sudo bash -c "$(wget -O - https://raw.githubusercontent.com/abcd567a/dump1090/master/install_dump1090_mut_1.15.sh)"
                        Last edited by abcd567; 2019-08-18, 12:10.

                        Comment


                        • #27
                          Originally posted by IZ8292SWL View Post
                          [ATTACH=CONFIG]11021[/ATTACH]

                          Well...i followed the procedure. It works!
                          I firstly installed the 1.15dev and then i used the fr24 script.
                          Done in correct sequence for a freshly written Raspbian image.

                          Comment


                          • #28
                            Originally posted by abcd567 View Post
                            Done in correct sequence for a freshly written Raspbian image.
                            Thank you for your kind support.
                            Works great and i'm getting way more messages with this version!

                            Comment


                            • #29
                              3 days ago I've updated from 1.14 to v1.15 and it was super easy, thanks to abcd567
                              I'm using a simple decoder with RTL2832U + R820T2 on board and simple dipole antenna with two 6.8cm arms (thanks to abcd567 again)
                              After the update, I've noticed that my range increased by around 15-20% and the average number of messages went from 150msg/sec to over 300msg/sec(over 500msg/sec in peak time).
                              Not too sure if that is good about messages but my stats on fr24 and FlightAware gone up massively. Didn't change anything in dump1090 setting it is exactly the same for both 1.14 and 1.15.

                              Comment


                              • #30
                                matysldn:

                                This improvement is because of following two reasons:
                                (1) The v1.14 has an outdated decoder, while ver 1.15~dev has a better and advanced decoder.
                                (2) The v1.14 is NOT designed to handle mlat-feedback from Flightaware, while v1.15~dev is designed to handle mlat-feedback from Flightaware.

                                Comment

                                Working...
                                X